Create integration

Creates a new integration for an app with specified type and configuration

POST/v1/apps/{app_id}/integrations
API
Integrations
Updated
Apr 26, 2026

integrations-api:POST:/v1/apps/{app_id}/integrations

Creates a new integration for an app with specified type and configuration

API ownership

  • API family: Integrations API
  • Best for: Integration records, setup verification, app and integration stats, and sync job operations.
  • Do not use from: Direct catalog, media, order, identity, or storefront reads and writes.
  • Guide route: /integrations

The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation.

Operation

  • Method: POST
  • Path: /v1/apps/\{app_id\}/integrations
  • Summary: Create integration
  • Description: Creates a new integration for an app with specified type and configuration
  • OpenAPI contract: integrations-api
  • Operation ID: Not documented in the OpenAPI contract.

Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID.

Parameters1 parameter
NameInRequiredTypeDescription
app_idpathYesstringApp UUID
Request bodyDocumented body
  • Required: Yes
  • Description: Integration data
  • Content: application/json (object)

Input Create Integration

PropertyTypeRequiredDetails
activebooleanNo-
channel_idstringNo-
configinteger[]Yes-
custom_fieldsobjectNo-
descriptionstringNo-
titlestringYes-
typestringYes-

Generated example (synthetic):

{
  "active": false,
  "channel_id": "string",
  "config": [
    0
  ],
  "custom_fields": {},
  "description": "string",
  "title": "string",
  "type": "string"
}
Responses4 statuses
StatusDescriptionContent
201Integration created successfullyapplication/json
400Invalid request (e.g. bad UUID, validation error, invalid config)application/json (object)
404App not foundapplication/json (object)
500Internal server errorapplication/json (object)

201 - object

Schema

PropertyTypeRequiredDetails
dataobjectNo-
successbooleanNo-
Integration
PropertyTypeRequiredDetails
activebooleanNo-
app_idstringNo-
channel_idstringNo-
created_atstringNo-
custom_fieldsobjectNo-
descriptionstringNo-
idstringNo-
settingsobjectNo-
titlestringNo-
typestringNo-
updated_atstringNo-

Generated example (synthetic):

{
  "data": {
    "active": false,
    "app_id": "string",
    "channel_id": "string",
    "created_at": "string",
    "custom_fields": {},
    "description": "string",
    "id": "string",
    "settings": {},
    "title": "string",
    "type": "string",
    "updated_at": "string"
  },
  "success": false
}

400 - object

Error

PropertyTypeRequiredDetails
detailsstringNo-
errorstringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": "string",
  "error": "string",
  "success": false
}

404 - object

Error

PropertyTypeRequiredDetails
detailsstringNo-
errorstringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": "string",
  "error": "string",
  "success": false
}

500 - object

Error

PropertyTypeRequiredDetails
detailsstringNo-
errorstringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": "string",
  "error": "string",
  "success": false
}

Contract identity

Use these fields to confirm you are implementing the intended endpoint contract.

  • API family: Integrations API
  • Method: POST
  • Path: /v1/apps/\{app_id\}/integrations
  • Operation ID: Not documented in the OpenAPI contract.
  • OpenAPI tag: Integrations
  • OpenAPI summary: Create integration

Create integration

# Create integration Creates a new integration for an app with specified type and configuration
POST /v1/apps/{app_id}/integrations
Purpose

Creates a new integration for an app with specified type and configuration

Required inputs

app_id path

Primary response

201 ยท Integration created successfully

Operation key

integrations-api:POST:/v1/apps/{app_id}/integrations

## API ownership - API family: Integrations API - Best for: Integration records, setup verification, app and integration stats, and sync job operations. - Do not use from: Direct catalog, media, order, identity, or storefront reads and writes. - Guide route: [/integrations](/integrations) The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation. ## Operation - Method: `POST` - Path: `/v1/apps/{app_id}/integrations` - Summary: Create integration - Description: Creates a new integration for an app with specified type and configuration - OpenAPI contract: integrations-api - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `integrations-api:POST:/v1/apps/{app_id}/integrations` Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID. ## Parameters | Name | In | Required | Type | Description | | --- | --- | --- | --- | --- | | app_id | path | Yes | string | App UUID | ## Request body - Required: Yes - Description: Integration data - Content: application/json (object) ### Input Create Integration | Property | Type | Required | Details | | --- | --- | --- | --- | | `active` | boolean | No | - | | `channel_id` | string | No | - | | `config` | integer[] | Yes | - | | `custom_fields` | object | No | - | | `description` | string | No | - | | `title` | string | Yes | - | | `type` | string | Yes | - | **Generated example (synthetic):** ```json { "active": false, "channel_id": "string", "config": [ 0 ], "custom_fields": {}, "description": "string", "title": "string", "type": "string" } ``` ## Responses | Status | Description | Content | | --- | --- | --- | | 201 | Integration created successfully | application/json | | 400 | Invalid request (e.g. bad UUID, validation error, invalid config) | application/json (object) | | 404 | App not found | application/json (object) | | 500 | Internal server error | application/json (object) | ### 201 - object #### Schema | Property | Type | Required | Details | | --- | --- | --- | --- | | `data` | object | No | - | | `success` | boolean | No | - | ##### Integration | Property | Type | Required | Details | | --- | --- | --- | --- | | `active` | boolean | No | - | | `app_id` | string | No | - | | `channel_id` | string | No | - | | `created_at` | string | No | - | | `custom_fields` | object | No | - | | `description` | string | No | - | | `id` | string | No | - | | `settings` | object | No | - | | `title` | string | No | - | | `type` | string | No | - | | `updated_at` | string | No | - | **Generated example (synthetic):** ```json { "data": { "active": false, "app_id": "string", "channel_id": "string", "created_at": "string", "custom_fields": {}, "description": "string", "id": "string", "settings": {}, "title": "string", "type": "string", "updated_at": "string" }, "success": false } ``` ### 400 - object #### Error | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string | No | - | | `error` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": "string", "error": "string", "success": false } ``` ### 404 - object #### Error | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string | No | - | | `error` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": "string", "error": "string", "success": false } ``` ### 500 - object #### Error | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string | No | - | | `error` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": "string", "error": "string", "success": false } ``` ## Contract identity Use these fields to confirm you are implementing the intended endpoint contract. - API family: Integrations API - Method: `POST` - Path: `/v1/apps/{app_id}/integrations` - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `integrations-api:POST:/v1/apps/{app_id}/integrations` - OpenAPI tag: Integrations - OpenAPI summary: Create integration